[v-cloak] {
    display: none;
}

.shadow-2 {
    box-shadow: 8px 0px 5px 0px rgba(0, 0, 0, 0.19), 0 4px 4px rgba(0, 0, 0, 0.23);
}

.shadow-2:hover {
    box-shadow: 14px 0px 10px 0px rgba(0, 0, 0, 0.19), 0 6px 6px rgba(0, 0, 0, 0.23);
}

.margin-left-15 {
    margin-left: 15px !important;
}

/* Colors */
.skin-green .main-header .logo {
    background-color: #00a65a;
}

.skin-blue .main-header .logo {
    background-color: #3c8dbc;
}

.icheckbox_square-blue, .iradio_square-blue {
    margin-right: 5px !important;
}

/* Colors */

/* Helpers */
.no-lpadding {
    padding-left: 0px !important;
}

.no-rpadding {
    padding-right: 0px !important;
}

.no-tpadding {
    padding-top: 0px !important;
}

.no-bpadding {
    padding-bottom: 0px !important;
}

/* Helpers */

/* Select2 */
.select2-container .select2-selection--single {
    height: 34px;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 32px;
}

.select2-container.select2-container--default.select2-container--open {
    z-index: 10050;
}

select[aria-readonly].select2me + .select2-container {
    pointer-events: none;
    touch-action: none;
}

select[aria-readonly].select2me + .select2-container .select2-selection--single {
    cursor: not-allowed;
    background-color: #eee;
}

/* Select2 */

/* Tabela listagens */
.table .btn-group {
    display: flex;
}

.table .btn-group > .dropdown-toggle:not(:first-child) {
    border-left: 0;
}

.table ul.dropdown-menu {
    -webkit-box-shadow: 6px 6px 13px -4px rgba(0, 0, 0, 0.62);
    -moz-box-shadow: 6px 6px 13px -4px rgba(0, 0, 0, 0.62);
    box-shadow: 6px 6px 13px -4px rgba(0, 0, 0, 0.62);
}

.table .dropdown-menu li > a {
    color: #222;
}

.table tr:nth-last-child(-n+3) ul.dropdown-menu {
    top: unset;
    bottom: 100%;
    -webkit-box-shadow: -6px -6px 13px -4px rgba(0, 0, 0, 0.62);
    -moz-box-shadow: -6px -6px 13px -4px rgba(0, 0, 0, 0.62);
    box-shadow: -6px -6px 13px -4px rgba(0, 0, 0, 0.62);
}

.table-group-action-submit {
    cursor: pointer;
}

.table-group-action-submit:hover {
    background-color: #db8b0b !important;
}

.input-group.date {
    position: initial;
}

/* Tabela listagens */

/* Multiple select */
.ms-choice {
    border: none;
    height: auto !important;
    white-space: unset;
}

.ms-choice > span {
    position: unset;
    white-space: unset;
    padding-left: unset;
}

.ms-choice > div {
    top: 50%;
    margin-top: -13px;
}

.ms-parent.form-control {
    width: 100% !important;
    height: auto !important;
}

.ms-drop {
    margin-left: -12px;
}

.ms-drop input[type=checkbox], .ms-drop input[type=radio] {
    margin: -1px 3px 0;
}

/* Multiple select */

/* form */
.input-group-btn > i.btn {
    font-size: 14px !important;
    padding: 9px 4px !important;;
    margin: -1px !important;;
}

.input-group-btn > a.btn {
    margin: -1px !important;;
    padding: 6px 10px !important;;
}

form .form-group > label.label-control {
    position: relative;
    display: block;
}

form .help-block.help-block-error {
    position: absolute;
    right: 20px;
    top: 5px;
    font-size: 12px;
    display: none !important;
}

form .has-error .help-block.help-block-error {
    display: inline-block !important;
}

form .has-error .help-block.help-block-error.fa:before {
    padding-right: 5px;
}

form .form-group.borda-grupo > div {
    border: 1px solid #e5e5e5;
    padding: 8px;
    width: 72.7%;
    margin-left: 15px;
}

#ajax form .form-group.borda-grupo > div {
    padding: 0;
    width: 72%;
}

form .form-group.borda-grupo > div > label[for$=-todos] {
    background: #FFF;
    border-bottom: 0.5px solid #e5e5e5;
    margin-bottom: -5px;
}

form .form-group.borda-grupo > div > label[for$=-todos]:not(:nth-child(1)) {
    margin-top: 15px;
}

form .form-group.borda-grupo > div > label {
    text-align: left;
}

@media (max-width: 991px) {

    form .form-group.borda-grupo > div, #ajax form .form-group.borda-grupo > div {
        width: 95%;
        display: flow-root;
    }

    form .form-group.borda-grupo > div > label[for$=-todos] {
        margin-bottom: 0px;
    }

}

/* form */

.main-header .logo img {
    max-height: 50px;
    max-width: 200px;
    margin: 0 auto;
}

.dropdown-menu {
    min-width: 120px;
}

label[for$=-todos] {
    background-color: #d6f6f4;
    padding: 5px 10px;
    font-weight: bold;
}

label[for$=-todos-todos] {
    background-color: #4fdfd4;
    color: #FFF;
    padding: 5px 10px;
}

.sidebar-collapse .sidebar-menu > li:hover > a {
    padding: 12px 5px 12px 7px;
}

.form-group > .control-label > [data-toggle=modal] > span.btn:hover {
    width: auto;
}

.form-group > .control-label > [data-toggle=modal] > span.btn {
    width: 23px;
    margin-left: 3px;
}

.form-group > .control-label > [data-toggle=modal] > span.btn > i {
    padding: 2px;
    margin-right: 2px;
}

.notifyjs-wrapper {
    width: 90% !important;
}

.notifyjs-bootstrap-base span {
    white-space: normal !important;
}

.login-logo img {
    margin: 0 auto;
    max-width: 50%;
}

div.mce-fullscreen {
    z-index: 9999;
}

/* Custom popover */
.popover.primary {
    border-color: #337ab7;
}

.popover.primary > .arrow {
    border-top-color: #337ab7;
}

.popover.primary > .popover-title {
    color: #fff;
    background-color: #337ab7;
    border-color: #337ab7;
}

.popover.success {
    border-color: #d6e9c6;
}

.popover.success > .arrow {
    border-top-color: #d6e9c6;
}

.popover.success > .popover-title {
    color: #3c763d;
    background-color: #dff0d8;
    border-color: #d6e9c6;
}

.popover.info {
    border-color: #bce8f1;
}

.popover.info > .arrow {
    border-top-color: #bce8f1;
}

.popover.info > .popover-title {
    color: #31708f;
    background-color: #d9edf7;
    border-color: #bce8f1;
}

.popover.warning {
    border-color: #faebcc;
}

.popover.warning > .arrow {
    border-top-color: #faebcc;
}

.popover.warning > .popover-title {
    color: #8a6d3b;
    background-color: #fcf8e3;
    border-color: #faebcc;
}

.popover.danger {
    border-color: #ebccd1;
}

.popover.danger > .arrow {
    border-top-color: #ebccd1;
}

.popover.danger > .popover-title {
    color: #a94442;
    background-color: #f2dede;
    border-color: #ebccd1;
}

.popover.in {
    z-index: 99999;
}

/* Custom popover */

/* bootstrap-dialog */
.bootstrap-dialog .modal-header {
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
}

/* bootstrap-dialog */

h3.trab-lista > a {
    line-height: 2.5rem;
}

@media (max-width: 767px) {
    .data-valores > div:nth-child(1) {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .data-valores > div:nth-child(2) {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
}

@media (min-width: 768px) {
    .data-valores > div:nth-child(1) {
        padding-left: 0 !important;
        padding-right: 10px !important;
    }

    .data-valores > div:nth-child(2) {
        padding-left: 10px !important;
        padding-right: 0 !important;
    }
}

.data-valores hr {
    padding: 1px;
    margin: 5px auto;
    width: 90%;
    align-self: center;
    display: flex;
    background-color: red;
    border: none;
}

td i.fa {
    font-size: 15px;
}

.lh-30 {
    line-height: 30px;
}

.btn.active {
    border: 2px solid #999;
}

div.DTTT .btn {
    color: #FFF !important;
}


.pulse-btn {;
    animation: pulse 1s cubic-bezier(0.66, 0.67, 0.83, 0.99) infinite;
}

@keyframes pulse {
    0% {
        outline: 1px solid #428bca;
        outline-offset: 1px;
    }
    25% {
        outline: 1px solid rgba(48, 113, 169, 0.7);
        outline-offset: 3px;
    }
    50% {
        outline: 1px solid rgba(48, 113, 169, 0);
        outline-offset: 5px;
    }
    75% {
        outline: 1px solid rgba(48, 113, 169, 0);
        outline-offset: 6px;
    }
    100% {
        outline: 1px solid rgba(48, 113, 169, 0);
        outline-offset: 7px;
    }
}

label > span[data-toggle=popover] {
    border-bottom: 2px dashed #3c8dbc;
}

.form-horizontal .tab-content .tab-content .form-group {
    margin-left: 0 !important;
    margin-right: 0 !important;
}

/* Btn add */
.btn-add-float {
    position: absolute;
}

@media (min-width: 768px) {
    .btn-add-float {
        bottom: 75px;
        right: 30px;
        width: 50px;
        height: 50px;
        line-height: 30px;
        text-align: center;
        box-shadow: 2px 2px 3px #999;
        z-index: 100;
    }

    .btn-add-float span {
        display: none;
    }
}

@media (max-width: 767px) {
    .btn-add-float {
        bottom: 0;
        left: 0;
        width: 100%;
        height: 50px;
        border-radius: 0px !important;
    }
}

/* Fim Btn add */

/* Blockquote */
blockquote.citacao-longa {
    padding: 10px 20px 10px 4cm;
    border-left: none;
}

/* Fim Blockquote */

/* Listas dentro de tooltip */
.tooltip ol, .tooltip ul {
    padding-left: 10px !important;
    margin-bottom: 0px !important;
}

/* Fim Listas dentro de tooltip */

.form-group .col-md-9 .control-label {
    text-align: left !important;
}

.navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a > h4 > small {
    top: -10px !important;
    right: -5px !important;
}

.page-header .label + span {
    line-height: 30px;
}

.box-header .box-title {
    line-height: 25px;
}

.clamp-1 {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.clamp-2 {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    height: 35px;
}

.clamp-3 {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.clamp-5 {
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    overflow: hidden;
    height: 100px;
}

.textos-destaques a {
    color: inherit;
}

.textos-destaques .widget-user-username {
    font-size: 16px;
}

.textos-destaques .widget-user .widget-user-header {
    height: 180px;
}

.carousel-caption {
    width: 100%;
    left: 0;
    right: 0;
    padding: 0;
    margin: 0;
    position: absolute;
    bottom: 0;
    background-color: #CCC7;
}

.carousel-caption p {
    margin: 5px;
}

.mailbox-attachment-icon {
    padding: 0px;
}

.widget-user .box-footer {
    padding-top: inherit;
}

.mailbox-attachment-name {
    font-size: 11px;
    height: 45px;
}